NX Open C++ Reference Guide
|
Represents a @link Features::Coaxial Features::Coaxial@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateCoaxialBuilder Features::FeatureCollection::CreateCoaxialBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::GeometricUtilities::FaceChangeOverflowBehavior * | FaceChangeOverflowBehavior () |
Returns the face change overflow behavior. | |
NXOpen::SelectFace * | MotionFace () |
Returns the motion face. | |
NXOpen::Features::FaceRecognitionBuilder * | MoveAlongFace () |
Returns the move along face. | |
NXOpen::SelectDisplayableObject * | StationaryFace () |
Returns the stationary face Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::Coaxial Features::Coaxial@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateCoaxialBuilder Features::FeatureCollection::CreateCoaxialBuilder @endlink <br>
Default values.
Property | Value |
---|---|
MoveAlongFace.CoaxialEnabled |
0 |
MoveAlongFace.CoplanarAxesEnabled |
0 |
MoveAlongFace.CoplanarEnabled |
0 |
MoveAlongFace.EqualDiameterEnabled |
0 |
MoveAlongFace.OffsetEnabled |
0 |
MoveAlongFace.ParallelEnabled |
0 |
MoveAlongFace.PerpendicularEnabled |
0 |
MoveAlongFace.SymmetricEnabled |
0 |
MoveAlongFace.TangentEnabled |
0 |
MoveAlongFace.ThicknessChainEnabled |
0 |
MoveAlongFace.UseFaceBrowse |
1 |
Created in NX6.0.0.
NXOpen::GeometricUtilities::FaceChangeOverflowBehavior* NXOpen::Features::CoaxialBuilder::FaceChangeOverflowBehavior | ( | ) |
Returns the face change overflow behavior.
Please refer GeometricUtilities::FaceChangeOverflowBehavior for details.
Created in NX6.0.2.
License requirements : None
NXOpen::SelectFace* NXOpen::Features::CoaxialBuilder::MotionFace | ( | ) |
Returns the motion face.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::FaceRecognitionBuilder* NXOpen::Features::CoaxialBuilder::MoveAlongFace | ( | ) |
Returns the move along face.
Created in NX6.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::CoaxialBuilder::StationaryFace | ( | ) |
Returns the stationary face
Created in NX6.0.0.
License requirements : None